Replaced /bin/sh by /bin/bash
[hvlinux.git] / stage2 / stage2-additions
index af8fd15..296857d 100755 (executable)
@@ -1,25 +1,27 @@
-#!/bin/sh
+#!/bin/bash
 
-# System configuration informations (entered by the user)
-source ../sysinfos
+LFS_STAGE=stage2
 
-export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage2"
-export LFS_LOG_DIR=/var/log/hvlinux-install/stage2
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/${LFS_STAGE}"
+export LFS_LOG_DIR=/var/log/hvlinux-install/${LFS_STAGE}
 export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
-export LFS_TMP="/tmp"
+export LFS_TMP=/tmp
 
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
 source ../functions
-
-# Name and version of all packages to install
 source ../packages-list
+source /etc/profile
 
-# Init log file
-mkdir -p ${LFS_LOG_DIR} &&
-if [ ! -f ${LFS_LOG_FILE} ]; then
-    touch ${LFS_LOG_FILE} || exit 1
+if [ "x${USER}" != "xroot" ]; then
+    echo "You must be the superuser to install hvlinux."
+    exit 1
 fi
 
+init_log_file
+
 ipkg_ac        ${LIBTOOL}
+ipkg_cust      ${UDEV} cis-udev
+ipkg_cust      ${UDEV_CONFIG} cis-udev-config
 
-# Return last error
 exit $?